<?php
$host = 'localhost'; 
$database = 'C:\Program Files (x86)\Common Files\Aspel\Sistemas Aspel\SAE7.00\Ejemplos\Ejemplos.FDB';
$username = 'SYSDBA'; 
$password = 'masterkey'; 

if (isset($_GET['esquema'])) {
    $claveEsquema = $_GET['esquema'];

    try {
        $dbh = new PDO("firebird:host=$host;dbname=$database;charset=UTF8", $username, $password);
        $dbh->setAttribute(PDO::ATTR_ERRMODE, PDO::ERRMODE_EXCEPTION);

        // Consulta para obtener los impuestos según el esquema
        $sql = "SELECT IMPUESTO1, IMPUESTO2, IMPUESTO3, IMPUESTO4 FROM IMPU01 WHERE CVE_ESQIMPU = :esquema";
        $stmt = $dbh->prepare($sql);
        $stmt->bindParam(':esquema', $claveEsquema, PDO::PARAM_STR);
        $stmt->execute();
        $impuestos = $stmt->fetch(PDO::FETCH_ASSOC);

        // Verificar si se encontraron impuestos
        if ($impuestos) {
            echo json_encode($impuestos);
        } else {
            echo json_encode(['error' => 'No se encontraron impuestos para la clave proporcionada']);
        }
    } catch (PDOException $e) {
        echo json_encode(['error' => 'Error: ' . $e->getMessage()]);
    }
} else {
    echo json_encode(['error' => 'Clave de esquema no proporcionada']);
}
?>
